org.opencv.ximgproc

## Class SuperpixelSEEDS

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SuperpixelSEEDS

-     public class SuperpixelSEEDS
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SuperpixelSEEDS(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SuperpixelSEEDS` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `void` | `getLabelContourMask(Mat image)`
    `void` | `getLabelContourMask(Mat image, boolean thick_line)`
    `void` | `getLabels(Mat labels_out)`
    `int` | `getNumberOfSuperpixels()`
    `void` | `iterate(Mat img)`
    `void` | `iterate(Mat img, int num_iterations)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuperpixelSEEDS

          protected SuperpixelSEEDS(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SuperpixelSEEDS __fromPtr__(long addr)

    - #### getNumberOfSuperpixels

          public int getNumberOfSuperpixels()

    - #### getLabelContourMask

          public void getLabelContourMask(Mat image,
                                          boolean thick_line)

    - #### getLabelContourMask

          public void getLabelContourMask(Mat image)

    - #### getLabels

          public void getLabels(Mat labels_out)

    - #### iterate

          public void iterate(Mat img,
                              int num_iterations)

    - #### iterate

          public void iterate(Mat img)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1